---
title: GitLab Swag Shop
---

<div>
  <div class="gitlab-corner-wrapper" style="z-index:100; position: fixed;"><a href="https://gitlab.com/tunauza" class="gitlab-corner" aria-label="View source on GitLab"><svg id="logo_art" data-name="logo art" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 586 559"><g id="g44"><path id="path46" class="cls-1" d="M461.17,301.83l-18.91-58.12L404.84,128.43a6.47,6.47,0,0,0-12.27,0L355.15,243.64H230.82L193.4,128.43a6.46,6.46,0,0,0-12.26,0L143.78,243.64l-18.91,58.19a12.88,12.88,0,0,0,4.66,14.39L293,435,456.44,316.22a12.9,12.9,0,0,0,4.73-14.39"/></g><g id="g48"><path id="path50" class="cls-2" d="M293,434.91h0l62.16-191.28H230.87L293,434.91Z"/></g><g id="g56"><path id="path58" class="cls-1" d="M293,434.91,230.82,243.63h-87L293,434.91Z"/></g><g id="g64"><path id="path66" class="cls-3" d="M143.75,243.69h0l-18.91,58.12a12.88,12.88,0,0,0,4.66,14.39L293,435,143.75,243.69Z"/></g><g id="g72"><path id="path74" class="cls-2" d="M143.78,243.69h87.11L193.4,128.49a6.47,6.47,0,0,0-12.27,0l-37.35,115.2Z"/></g><g id="g76"><path id="path78" class="cls-1" d="M293,434.91l62.16-191.28H442.3L293,434.91Z"/></g><g id="g80"><path id="path82" class="cls-3" d="M442.24,243.69h0l18.91,58.12a12.85,12.85,0,0,1-4.66,14.39L293,434.91l149.2-191.22Z"/></g><g id="g84"><path id="path86" class="cls-2" d="M442.28,243.69h-87.1l37.42-115.2a6.46,6.46,0,0,1,12.26,0l37.42,115.2Z"/></g></svg></a></div>
<!-- Gitlab corner from https://gitlab.com/brycedorn/gitlab-corners-->

<section id="title">
<h1>
Demo GitLab Swag Shop
</h1>
</section>
<section id="products">
<h1>Product Selection</h1>

<%= partial(:image, :locals => {
  :src => 'Neon_Tanuki_Box_Cut_Shirt_195x.png',
  :title => 'Neon Tanuki Box Cut Shirt',
  :price => '$21.00',
  :alt => 'Picture Neon Tanuki Box Cut Shirt',
  :width => '200px',
  :caption => 'Neon Tanuki Box Cut Shirt',
  :id => 'Neon_Tanuki_Box_Cut_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'Neon_Tanuki_Fitted_Shirt_195x.png',
  :title => 'Neon Tanuki Fitted Shirt',
  :price => '$21.00',
  :alt => 'Picture Neon Tanuki Fitted Shirt',
  :width => '200px',
  :caption => 'Neon Tanuki Fitted Shirt',
  :id => 'Neon_Tanuki_Fitted_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'Purple-On-Purple_Tanuki_Box_Cut_Shirt_195x.png',
  :title => 'Purple-On-Purple Tanuki Box Cut Shirt',
  :price => '$21.00',
  :alt => 'Picture Purple-On-Purple Box Tanuki Box Cut Shirt',
  :width => '200px',
  :caption => 'Purple-On-Purple Tanuki Box Cut Shirt',
  :id => 'Purple-On-Purple_Tanuki_Box_Cut_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'Purple-On-Purple_Tanuki_Fitted_Shirt_195x.png',
  :title => 'Purple-On-Purple Tanuki Fitted Shirt',
  :price => '$21.00',
  :alt => 'Picture Purple-On-Purple Tanuki Fitted Shirt',
  :width => '200px',
  :caption => 'Purple-On-Purple Tanuki Fitted Shirt',
  :id => 'Purple-On-Purple_Tanuki_Fitted_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'Quarter_Zip_Sweatshirt_195x.png',
  :title => 'Quarter Zip Sweatshirt',
  :price => '$21.00',
  :alt => 'Picture Quarter Zip Sweatshirt',
  :width => '200px',
  :caption => 'Quarter Zip Sweatshirt',
  :id => 'Quarter_Zip_Sweatshirt',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Runner_Just_Go_Fitted_Tee_195x.png',
  :title => 'GitLab Runner Just Go Fitted Tee',
  :price => '$6.00',
  :alt => 'Picture GitLab Runner Just Go Fitted Tee',
  :width => '200px',
  :caption => 'GitLab Runner Just Go Fitted Tee',
  :id => 'GitLab_Runner_Just_Go_Fitted_Tee',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Runner_Just_Go_Box_Cut_Tee_195x.png',
  :title => 'GitLab Runner Just Go Box Cut Tee',
  :price => '<del>$6.00</del> Sold out',
  :alt => 'Picture GitLab Runner Just Go Box Cut Tee',
  :width => '200px',
  :caption => 'GitLab Runner Just Go Box Cut Tee',
  :id => 'GitLab_Runner_Just_Go_Box_Cut_Tee',
})%>

<%= partial(:image, :locals => {
  :src => 'Van_Heusen_Oxford_-_Women\'s_Dress_Shirt_195x.png',
  :title => 'Van Heusen Oxford - Women\'s Dress Shirt',
  :price => '$15.00',
  :alt => 'Van Heusen Oxford - Women\'s Dress Shirt',
  :width => '200px',
  :caption => 'Van Heusen Oxford - Women\'s Dress Shirt',
  :id => 'Van_Heusen_Oxford_-_Women\'s_Dress_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'Van_Heusen_Oxford_-_Men\'s_Dress_Shirt_195x.png',
  :title => 'Van Heusen Oxford - Men\'s Dress Shirt',
  :price => '$15.00',
  :alt => 'Van Heusen Oxford - Men\'s Dress Shirt',
  :width => '200px',
  :caption => 'Van Heusen Oxford - Men\'s Dress Shirt',
  :id => 'Van_Heusen_Oxford_-_Men\'s_Dress_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'Camper_Mug_195x.png',
  :title => 'Camper Mug',
  :price => '$15.00',
  :alt => 'Camper Mug',
  :width => '200px',
  :caption => 'Camper Mug',
  :id => 'Camper_Mug',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Keep_Cup_Travel_Mug_195x.png',
  :title => 'GitLab Keep Cup Travel Mug',
  :price => '$15.00',
  :alt => 'GitLab Keep Cup Travel Mug',
  :width => '200px',
  :caption => 'GitLab Keep Cup Travel Mug',
  :id => 'GitLab_Keep_Cup_Travel_Mug',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Infant_Onesie_195x.png',
  :title => 'GitLab Infant Onesie',
  :price => '$12.00',
  :alt => 'GitLab_Infant_Onesie',
  :width => '200px',
  :caption => 'GitLab Infant Onesie',
  :id => 'GitLab_Infant_Onesie',
})%>

<%= partial(:image, :locals => {
  :src => 'Camper_Mug_195x.png',
  :title => 'Camper Mug',
  :price => '$15.00',
  :alt => 'Camper Mug',
  :width => '200px',
  :caption => 'Camper Mug',
  :id => 'Camper_Mug',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Keep_Cup_Travel_Mug_195x.png',
  :title => 'GitLab Keep Cup Travel Mug',
  :price => '<del>$18.00</del> <del>$5.50</del> Sale <b>Sold out</b>',
  :alt => 'GitLab Keep Cup Travel Mug',
  :width => '200px',
  :caption => 'GitLab Keep Cup Travel Mug',
  :id => 'GitLab_Keep_Cup_Travel__Mug',
})%>


<%= partial(:image, :locals => {
  :src => 'GitLab_Tanuki_Sticker_Lg_195x.png',
  :title => 'GitLab Tanuki Sticker (Lg)',
  :price => '$1.00',
  :alt => 'GitLab Tanuki Sticker (Lg)',
  :width => '200px',
  :caption => 'GitLab Tanuki Sticker (Lg)',
  :id => 'GitLab_Tanuki_Sticker_\(Lg\)',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Rainbow_Tanuki_Sticker_195x.png',
  :title => 'GitLab Tanuki Sticker',
  :price => '$1.00',
  :alt => 'GitLab Rainbow Tanuki Sticker',
  :width => '200px',
  :caption => 'GitLab Rainbow Tanuki Sticker',
  :id => 'GitLab_Rainbow_Tanuki_Sticker',
})%>

<%= partial(:image, :locals => {
  :src => 'Striped_Tanuki_Socks_195x.png',
  :title => 'Striped Tanuki Socks',
  :price => '$15.00',
  :alt => 'Striped Tanuki Socks',
  :width => '200px',
  :caption => 'Striped Tanuki Socks',
  :id => 'Striped_Tanuki_Socks',
})%>

<%= partial(:image, :locals => {
  :src => 'Rainbow_Tanuki_Box_Cut_Shirt_195x.png',
  :title => 'Rainbow Tanuki Box Cut Shirt',
  :price => '$25.00',
  :alt => 'Rainbow Tanuki Box Cut Shirt',
  :width => '200px',
  :caption => 'Rainbow Tanuki Box Cut Shirt',
  :id => 'Rainbow_Tanuki_Box_Cut_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'Rainbow_Tanuki_Fitted_Shirt_195x.png',
  :title => 'Rainbow Tanuki Fitted Shirt',
  :price => '$25.00',
  :alt => 'Rainbow Tanuki Fitted Shirt',
  :width => '200px',
  :caption => 'Rainbow Tanuki Fitted Shirt',
  :id => 'Rainbow_Tanuki_Fitted_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Kid\'s_Neon_Shirt_195x.png',
  :title => 'GitLab Kid\'s Neon Shirt',
  :price => '$12.00',
  :alt => 'GitLab Kid\'s Neon Shirt',
  :width => '200px',
  :caption => 'GitLab Kid\'s Neon Shirt',
  :id => 'GitLab_Kid\'s_Neon_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Pajama_Pants_195x.png',
  :title => 'GitLab Pajama Pants',
  :price => '$9.99',
  :alt => 'GitLab Pajama Pants',
  :width => '200px',
  :caption => 'GitLab Pajama Pants',
  :id => 'GitLab_Pajama_Pants',
})%>

<%= partial(:image, :locals => {
  :src => 'Puff_Ink_Grey_Hat_195x.png',
  :title => 'Puff Ink Grey Hat',
  :price => '<del>$15.00</del> $12.50 Sale',
  :alt => 'Puff Ink Grey Hat',
  :width => '200px',
  :caption => 'Puff Ink Grey Hat',
  :id => 'Puff_Ink_Grey_Hat',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Knit_Beanie_195x.png',
  :title => 'GitLab Knit Beanie',
  :price => '<del>$25.00</del> $7.50 Sale',
  :alt => 'GitLab Knit Beanie',
  :width => '200px',
  :caption => 'GitLab Knit Beanie',
  :id => 'GitLab_Knit_Beanie',
})%>

<%= partial(:image, :locals => {
  :src => 'Laptop_Sleeve_195x.png',
  :title => 'Laptop Sleeve',
  :price => '<del>$45.00</del> <del>$13.50</del> Sale <b>Sold out</b>',
  :alt => 'Laptop Sleeve',
  :width => '200px',
  :caption => 'Laptop Sleeve',
  :id => 'Laptop Sleeve',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Festive-Hood_Zipup_Sweat_Shirt_195x.png',
  :title => 'GitLab Festive-Hood Zipup Sweat Shirt',
  :price => '$45.00',
  :alt => 'GitLab Festive-Hood Zipup Sweat Shirt',
  :width => '200px',
  :caption => 'GitLab Festive-Hood Zipup Sweat Shirt',
  :id => 'GitLab_Festive-Hood_Zipup_Sweat_Shirt',
})%>

<%= partial(:image, :locals => {
  :src => 'GitLab_Luggage_Tag_195x.png',
  :title => 'GitLab Luggage Tav',
  :price => '<del>$4.00</del> $2.00 Sale',
  :alt => 'GitLab Luggage Tag',
  :width => '200px',
  :caption => 'GitLab Luggage Tag',
  :id => 'GitLab_Luggage_Tag',
})%>

<%= partial(:image, :locals => {
  :src => 'Herschel_Heritage_15in_Computer_GitLab_Backpack_195x.png',
  :title => 'Herschel Heritage 15" Computer GitLab Backpack',
  :price => '$65.00',
  :alt => 'Herschel Heritage 15" Computer GitLab Backpack',
  :width => '200px',
  :caption => 'Herschel Heritage 15" Computer GitLab Backpack',
  :id => 'Herschel_Heritage_15\"_Computer_GitLab_Backpack',
})%>

<%= partial(:image, :locals => {
  :src => 'Prague_GitLab_Tee-_Men\'s_195x.png',
  :title => 'Prague GitLab Tee- Men\'s',
  :price => '$7.50',
  :alt => 'Prague GitLab Tee- Men\'s',
  :width => '200px',
  :caption => 'Prague GitLab Tee- Men\'s',
  :id => 'Prague_GitLab_Tee-_Men\'s',
})%>

<%= partial(:image, :locals => {
  :src => 'Prague_GitLab_Tee-_Women\'s_195x.png',
  :title => 'Prague GitLab Tee- Women\'s',
  :price => '$7.50',
  :alt => 'Prague GitLab Tee- Women\'s',
  :width => '200px',
  :caption => 'Prague GitLab Tee- Women\'s',
  :id => 'Prague_GitLab_Tee-_Women\'s',
})%>

<%= partial(:image, :locals => {
  :src => 'Contribute_Socks_195x.png',
  :title => 'Contribute Socks',
  :price => '$5.00',
  :alt => 'Contribute Socks',
  :width => '200px',
  :caption => 'Contribute Socks',
  :id => 'Contribute_Socks',
})%>

<%= partial(:image, :locals => {
  :src => 'Prague_Themed_Hand_Sanitizer_Spray_195x.png',
  :title => 'Prague Themed Hand Sanitizer Spray',
  :price => '<del>$2.00</del> $1.00 Sale',
  :alt => 'Prague Themed Hand Sanitizer Spray',
  :width => '200px',
  :caption => 'Prague Themed Hand Sanitizer Spray',
  :id => 'Prague_Themed_Hand_Sanitizer_Spray',
})%>

<%= partial(:image, :locals => {
  :src => 'French_Terry_Prague_Full-Zip_Hoodie-_Men\'s_195x.png',
  :title => 'French Terry Prague Full-Zip Hoodie- Men\'s',
  :price => '$19.99',
  :alt => 'French Terry Prague Full-Zip Hoodie- Men\'s',
  :width => '200px',
  :caption => 'French Terry Prague Full-Zip Hoodie- Men\'s',
  :id => 'French_Terry_Prague_Full-Zip_Hoodie-_Men\'s ',
})%>

<%= partial(:image, :locals => {
  :src => 'French_Terry_Prague_Full-Zip_Hoodie-_Women\'s_195x.png',
  :title => 'French Terry Prague Full-Zip Hoodie- Women\'s',
  :price => '$19.99',
  :alt => 'French Terry Prague Full-Zip Hoodie- Women\'s',
  :width => '200px',
  :caption => 'French Terry Prague Full-Zip Hoodie- Women\'s',
  :id => 'French_Terry_Prague_Full-Zip_Hoodie-_Women\'s',
})%>

<%= partial(:image, :locals => {
  :src => 'Fitted_Purple_Polo_195x.png',
  :title => 'Fitted Purple Polo',
  :price => '<del>$35.00</del> $10.00 Sale',
  :alt => 'Fitted Purple Polo',
  :width => '200px',
  :caption => 'Fitted Purple Polo',
  :id => 'Fitted_Purple_Polo',
})%>


</section>
<section id="payment">

        <h1>Payment</h1>
               <form id="buy">
 <ul>
  <li>
    <label for="name">Name</label><br>
    <input type="text" id="name" name="user_name">
  </li>
  <li>
    <label for="telephone">Telephone</label><br>
          <input type="tel" id="telephone" name="user_telephone">
  </li>
  <li>
    <label for="mail">E-mail</label><br>
    <input type="email" id="mail" name="user_email">
  </li>
  <li>
    <label for="address">Delivery Address</label><br>
    <textarea id="address" name="user_address"></textarea>
  </li>
  <li>
    <label for="msg">Additional information</label><br>
    <textarea id="msg" name="user_message"></textarea>
  </li>
 </ul>
 <li class="button">
  <button type="button" id="pay" onClick="payWithRave()">Pay</button>
</li>
</form>
</section>
</div>
